idea下gradle报jdk版本错误

前言

idea下用gradle编译项目的时候报错如下:“Could not target platform: ‘Java SE 13’ using tool chain: ‘JDK 11 (11)’.”

确认project采用的jdk 13,build.gradle里也是13,应该是Gradle用的版本不匹配,最后在File–>Setting–>Build Tools–>Gradle里,找到配置项。

upload successful